<?php



require_once 'Classes/Model/Observation.php';



/**
 * @class ObservationSet
 *
 * This class represents an observation and a set of associated calibrations. These
 * calibrations will be within X minutes of the observation
 **/
class ObservationSet
{
  // PUBLIC

  public function __construct()
  {
    $this->observation = null;
    $this->calibrations = null;
  }

  public function SetObservation( $s_observation ) { $this->observation = $s_observation; }
  public function GetObservation() { return $this->observation; }

  public function SetCalibrations( $s_calibrations ) { $this->calibrations = $s_calibrations; }
  public function GetCalibrations() { return $this->calibrations; }

  // PRIVATE

  private $observation;
  private $calibrations;
};

